// 公共路由（任何身份都可以访问的路由 如：商城）

import headhunting from './components/headhunting'

const common = [
  ...headhunting,
  {
    path: '', // 门墩项目列表/项目入口页
    redirect: '/entrances',
    children: [
      { path: '/', redirect: '/entrances' },
      {
        path: '/entrances',
        component: () => import('@/views/entrances/index'),
        meta: {
          title: '门墩儿应用中心'
        }
      }
    ]
  },
  {
    path: '/mall',
    children: [
      {
        path: '/mall',
        component: () => import('@/views/mall/index'),
        meta: {
          title: '臻选商城'
        }
      }
    ]
  },
  {
    path: '/shareJob',
    name: 'shareJob',
    meta: {
      title: '分享职位'
    },
    component: () => import('@/views/recruit/personal/shareJob/index.vue')
  },
  {
    path: '/invite',
    name: 'invite',
    meta: {
      title: '成员邀请'
    },
    component: () => import('@/views/recruit/enterprise/systemManagement/groupAccount/inviteConfirm.vue')
  },
  {
    path: '/enterpriseInvite',
    name: 'enterpriseInvite',
    meta: {
      title: '成员邀请'
    },
    component: () => import('@/views/recruit/enterprise/systemManagement/groupAccount/inviteConfirmEnt.vue')
  },
  {
    path: '/recruit/enterprise/register',
    // component: Layout,
    name: 'enterpriseRegister',
    children: [
      {
        path: '/recruit/enterprise/register',
        component: () => import('@/views/recruit/enterprise/register/register.vue'),
        meta: {
          title: '注册新企业'
        },
      },
      {
        path: '/recruit/enterprise/register/joiningEnterprise',
        component: () => import('@/views/recruit/enterprise/register/joiningEnterprise'),
        meta: {
          title: '加入企业'
        }
      },
      {
        path: '/recruit/enterprise/register/inReview',
        component: () => import('@/views/recruit/enterprise/register/inReview.vue'),
        meta: {
          title: '申请信息'
        }
      }
    ]
  },
  {
    path: '/advertisement/introduce/:id',
    name: 'advertisementIntroduce',
    meta: {
      title: '集团介绍'
    },
    component: () => import('@/views/recruit/personal/home/components/advertisement/dynamic/intercontinental.vue')
  },
]

export default common
