// 个人路由信息

import Layout from '@/layout'
const personal = [
  {
    path: '/recruit/personal/accountSettings',
    component: Layout,
    name: 'personalAccount',
    children: [
      {
        path: '/recruit/personal/accountSettings',
        component: () => import('@/views/recruit/personal/accountSettings/index'),
        meta: {
          title: '账号设置'
        },
        children: [
          {
            path: '/recruit/personal/accountSettings/editPassword',
            component: () => import('@/views/recruit/personal/accountSettings/dynamic/editPassword'),
            meta: {
              title: '修改密码'
            }
          },
          {
            path: '/recruit/personal/accountSettings/accountBinding',
            component: () => import('@/views/recruit/personal/accountSettings/dynamic/accountBinding'),
            meta: {
              title: '账号加入'
            }
          },
          {
            path: '/recruit/personal/accountSettings/realAuthentication',
            component: () => import('@/views/recruit/personal/accountSettings/dynamic/realAuthentication'),
            meta: {
              title: '实名认证'
            }
          },
          {
            path: '/recruit/personal/accountSettings/privacySettings',
            component: () => import('@/views/recruit/personal/accountSettings/dynamic/privacySettings'),
            meta: {
              title: '隐私设置'
            }
          }
        ]
      }
    ]
  },
  {
    path: '/recruit/personal/resume',
    component: Layout,
    name: 'resume',
    meta: {
      title: '在线简历'
    },
    children: [
      {
        path: '/recruit/personal/resume',
        component: () => import('@/views/recruit/personal/remuse/index.vue')
      }
    ]
  },
  {
    path: '/recruit/personal/personalCenter',
    component: Layout,
    name: 'personalCenter',
    meta: {
      title: '个人中心'
    },
    children: [
      {
        path: '/recruit/personal/personalCenter',
        component: () => import('@/views/recruit/personal/PersonalCenter/index')
      },
      {
        path: '/recruit/personal/tradeOrder',
        meta: {
          title: '我的订单'
        },
        component: () => import('@/views/recruit/personal/PersonalCenter/components/order.vue')
      }
    ]
  },
  {
    path: '/publicRecruitment',
    component: Layout,
    name: 'myPublicRecruitment',
    meta: {
      title: '赏金奖励'
    },
    children: [
      {
        path: '/publicRecruitment',
        component: () => import('@/views/publicRecruitment/index'),
        meta: {
          title: '赏金奖励'
        },
      }
    ]
  },
  {
    path: '/recruit/personal/myWallet',
    component: Layout,
    name: 'personalWallet',
    meta: {
      title: '我的钱包'
    },
    children: [
      {
        path: '/recruit/personal/myWallet',
        component: () => import('@/views/recruit/personal/myWallet'),
        meta: {
          title: '我的钱包'
        },
      },
      {
        path: '/recruit/personal/myWallet/myBalance',
        component: () => import('@/views/recruit/personal/myWallet/myBalance'),
        meta: {
          title: '账户余额'
        },
      },
      {
        path: '/recruit/personal/myWallet/myIntegral',
        component: () => import('@/views/integral/pointsManagement'),
        meta: {
          title: '我的积分'
        },
      },
      {
        path: '/personalRecharge',
        component: () => import('@/components/personalRecharge'),
        meta: {
          title: '充值'
        },
      },
    ]
  },
  {
    path: '/recruit/personal/TaskCenter',
    component: Layout,
    name: 'personalTaskCenter',
    meta: {
      title: '任务中心'
    },
    children: [
      {
        path: '/recruit/personal/TaskCenter',
        component: () => import('@/views/recruit/personal/taskCenter/index'),
        meta: {
          title: '任务中心'
        },
      }
    ]
  },
  {
    path: '/recruit/personal/purchasePackage',
    component: Layout,
    name: 'personalPurchasePackage',
    meta: {
      title: '购买套餐'
    },
    children: [
      {
        path: '/recruit/personal/purchasePackage',
        component: () => import('@/views/recruit/personal/purchasePackage'),
        meta: {
          title: '购买套餐'
        }
      }
    ]
  },
  {
    path: '/integral/personalIntegralRules',
    component: Layout,
    name: 'personalIntegralRules',
    meta: {
      title: '任务中心'
    },
    children: [
      {
        path: '/integral/personalIntegralRules',
        component: () => import('@/views/integral/integralRules/index'),
        meta: {
          title: '积分规则'
        },
      }
    ]
  },
  {
    path: '/recruit/personal/message',
    component: Layout,
    name: 'message',
    meta: {
      title: '消息'
    },
    children: [
      {
        path: '/recruit/personal/message',
        component: () => import('@/views/recruit/personal/message/index'),
        meta: {
          title: '消息'
        }
      }
    ]
  },
]
export default personal